Bug 189043 - Review Request: perl-File-Fetch
Review Request: perl-File-Fetch
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 188505 188523 188527 189041
Blocks: FE-ACCEPT 189048
  Show dependency treegraph
 
Reported: 2006-04-14 19:59 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 17:56:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-04-14 19:59:33 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-File-Fetch/perl-File-Fetch.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-File-Fetch-0.07-1.src.rpm
Description:
File::Fetch is a generic file fetching mechanism.
Comment 1 Jason Tibbitts 2006-04-15 02:27:39 EDT
Issues:
Three buildrequires duplicate what RPM detects automatically.  In the changelog
I see that you deleted one duplicate Requires: statement; why that one and not
the three others.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   53135c09fa15e9cb0a980b153b9634e0  File-Fetch-0.07.tar.gz
   53135c09fa15e9cb0a980b153b9634e0  File-Fetch-0.07.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock.
* rpmlint is silent.
X final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is (essentially) not present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 2 Jason Tibbitts 2006-04-16 01:04:46 EDT
In light of other discussion I'll drop my objection.  APPROVED.
Comment 3 Steven Pritchard 2006-04-21 17:56:20 EDT
Imported, branches created, and builds requested.

Note You need to log in before you can comment on or make changes to this bug.